<html xmlns:layout="http://www.w3.org/1999/xhtml" xmlns:th="http://www.w3.org/1999/xhtml">

<head>
    <meta charset="utf-8" />
    <link rel="apple-touch-icon" sizes="76x76" th:href="@{/img/apple-icon.png}">
    <link rel="icon" type="image/png" th:href="@{/img/favicon.png}">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
        Now UI Dashboard by Creative Tim
    </title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
    <!--     Fonts and icons     -->
    <link th:href="@{https://fonts.googleapis.com/css?family=Montserrat:400,700,200}" rel="stylesheet" />
    <link rel="stylesheet" th:href="@{https://use.fontawesome.com/releases/v5.7.1/css/all.css}">
    <!-- CSS Files -->
    <link th:href="@{/css/bootstrap.min.css}" rel="stylesheet" />
    <link th:href="@{/css/now-ui-dashboard.css?v=1.3.0}" rel="stylesheet" />
    <!-- CSS Just for demo purpose, don't include it in your project -->
    <link th:href="@{/demo/demo.css}" rel="stylesheet" />

    <script th:src="@{/js/core/jquery.min.js}"></script>
    <script th:src="@{/js/core/popper.min.js}"></script>
    <script th:src="@{/js/core/bootstrap.min.js}"></script>
    <script th:src="@{/js/plugins/perfect-scrollbar.jquery.min.js}"></script>
    <!-- Chart JS -->
    <script th:src="@{/js/plugins/chartjs.min.js}"></script>
    <!--  Notifications Plugin    -->
    <script th:src="@{/js/plugins/bootstrap-notify.js}"></script>
    <!-- Control Center for Now Ui Dashboard: parallax effects, scripts for the example pages etc -->
    <script th:src="@{/js/now-ui-dashboard.min.js?v=1.3.0}" type="text/javascript"></script>
    <!-- Now Ui Dashboard DEMO methods, don't include it in your project! -->
    <link rel="stylesheet" type="text/css" th:href="@{css/util.css}">
    <link rel="stylesheet" type="text/css" th:href="@{css/main.css}">
    <style>
        .imgcontainer {
          text-align: center;
          margin: 24px 0 12px 0;
          position: relative;
        }

        img {
            max-width: 50%;
            border-radius: 0.1875rem;
        }

        .container {
          padding: 16px;
        }
    </style>

</head>
<body class="">



<!--header.html  Starts here  -->
<div class="wrapper ">

    <div class="main-panel" id="main-panel" style="float: none;width: auto;">
        <!-- Navbar -->

        <!-- End Navbar -->
        <!-- header.html ENDS -->
        <nav class="navbar navbar-expand-lg navbar-transparent  bg-primary  navbar-absolute">

        </nav>
        <div class="panel-header panel-header-sm" style="height:95%">
        </div>

        <div class="content" style="min-height: auto;">
            <div class="row" style="margin-top:-60%">
                <div class="container-login100" >
                    <div class="wrap-login100 p-t-190 p-b-30">
                        <form  id="modal-content animate" class="login100-form validate-form" action="#" >
                            <div class="imgcontainer">
                                <img src="img/devopslabs.png" alt="DevOpsLabs">
                            </div>

                            <span class="login100-form-title p-t-20 p-b-45">
						            Please provide credendials.
					        </span>
                            <div>
                                <span id="globalError" name="globalError" class="label label-danger" style="display:none;color:red;"> test </span>
                            </div>

                            <div class="wrap-input100 validate-input m-b-10" data-validate = "Username is required">
                                <input class="input100" type="text" name="username" placeholder="Username/email">
                                <span class="focus-input100"></span>
                                <span class="symbol-input100">
							        <i class="fa fa-user"></i>
						            </span>
                            </div>

                            <div class="wrap-input100 validate-input m-b-10" data-validate = "Password is required">
                                <input class="input100" type="password" name="password" id="password" placeholder="Password">
                                <span class="focus-input100"></span>
                                <span class="symbol-input100">
                                    <i class="fa fa-lock"></i>
						            </span>
                            </div>

                            <div class="container-login100-form-btn p-t-10">
                                <button class="login100-form-btn" id="loginBtn">
                                    Login
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
                </div>
            </div>
            </div>
        </div>

        <!--footer.html  starts here  -->
        <footer class="footer">
            <div class="container-fluid">
                <div class="copyright" id="copyright">
                    &copy;
                    <script>
              document.getElementById('copyright').appendChild(document.createTextNode(new Date().getFullYear()))
            </script>, Powered by
                    <a href="https://www.opentechmate.com" target="_blank">Opentechmate</a>
                </div>
            </div>
        </footer>
    </div>
</div>
<!--footer.html  ends here  -->

</body>
</html>
<script>
    $(document).ready(function () {
	   $("#loginBtn").click(function(){
	    login();
	        return false;
	   });
});

function login(event){
console.log('login validate');
 var formData= $('#loginform').serialize();

   $.post("/SignIn",formData ,function(data){

            if(data == "SUCCESS"){
              window.location.href = "/";
            }
       }).fail(function(data) {
       console.log(data);
           $('#passwordd').val("");
           $("#globalError").show().html(data.responseText);
         });


return false;
}

</script>